Index: lemon/min_cut.h
===================================================================
--- lemon/min_cut.h	(revision 2225)
+++ lemon/min_cut.h	(revision 2260)
@@ -68,5 +68,5 @@
     ///
     /// The type of the map that stores the edge capacities.
-    /// It must meet the \ref concept::ReadMap "ReadMap" concept.
+    /// It must meet the \ref concepts::ReadMap "ReadMap" concept.
     typedef _CapacityMap CapacityMap;
 
@@ -114,5 +114,5 @@
     ///
     /// The type of the map that stores whether a nodes is processed.
-    /// It must meet the \ref concept::WriteMap "WriteMap" concept.
+    /// It must meet the \ref concepts::WriteMap "WriteMap" concept.
     /// By default it is a NullMap.
     typedef NullMap<typename Graph::Node, bool> ProcessedMap;
@@ -135,5 +135,5 @@
     /// 
     /// The type of the map that stores the cardinalities of the nodes.
-    /// It must meet the \ref concept::WriteMap "WriteMap" concept.
+    /// It must meet the \ref concepts::WriteMap "WriteMap" concept.
     typedef typename Graph::template NodeMap<Value> CardinalityMap;
 
@@ -163,9 +163,9 @@
   ///
   /// The edge capacities are passed to the algorithm using a
-  /// \ref concept::ReadMap "ReadMap", so it is easy to change it to any 
+  /// \ref concepts::ReadMap "ReadMap", so it is easy to change it to any 
   /// kind of capacity.
   ///
   /// The type of the capacity is determined by the \ref 
-  /// concept::ReadMap::Value "Value" of the capacity map.
+  /// concepts::ReadMap::Value "Value" of the capacity map.
   ///
   /// It is also possible to change the underlying priority heap.
@@ -180,5 +180,5 @@
   /// relatively time consuming process to compute the edge capacity if
   /// it is necessary. The default map type is \ref
-  /// concept::Graph::EdgeMap "Graph::EdgeMap<int>".  The value
+  /// concepts::Graph::EdgeMap "Graph::EdgeMap<int>".  The value
   /// of CapacityMap is not used directly by search algorithm, it is only 
   /// passed to \ref MaxCardinalitySearchDefaultTraits.  
@@ -715,5 +715,5 @@
     ///
     /// The type of the map that stores the edge capacities.
-    /// It must meet the \ref concept::ReadMap "ReadMap" concept.
+    /// It must meet the \ref concepts::ReadMap "ReadMap" concept.
     typedef _CapacityMap CapacityMap;
 
Index: lemon/prim.h
===================================================================
--- lemon/prim.h	(revision 2230)
+++ lemon/prim.h	(revision 2260)
@@ -31,5 +31,5 @@
 #include <lemon/bits/traits.h>
 
-#include <lemon/concept/ugraph.h>
+#include <lemon/concepts/ugraph.h>
 
 namespace lemon {
@@ -47,5 +47,5 @@
 
     ///The type of the map that stores the edge costs.
-    ///It must meet the \ref concept::ReadMap "ReadMap" concept.
+    ///It must meet the \ref concepts::ReadMap "ReadMap" concept.
     typedef CM CostMap;
     //The type of the cost of the edges.
@@ -83,5 +83,5 @@
     ///The type of the map that stores the last
     ///edges of the minimum spanning tree.
-    ///It must meet the \ref concept::WriteMap "WriteMap" concept.
+    ///It must meet the \ref concepts::WriteMap "WriteMap" concept.
     ///
     typedef typename UGraph::template NodeMap<typename GR::UEdge> PredMap;
@@ -114,5 +114,5 @@
  
     ///The type of the map that stores whether a nodes is processed.
-    ///It must meet the \ref concept::WriteMap "WriteMap" concept.
+    ///It must meet the \ref concepts::WriteMap "WriteMap" concept.
     ///By default it is a NodeMap<bool>.
     typedef NullMap<typename UGraph::Node,bool> ProcessedMap;
@@ -141,9 +141,9 @@
   ///
   ///The edge costs are passed to the algorithm using a
-  ///\ref concept::ReadMap "ReadMap",
+  ///\ref concepts::ReadMap "ReadMap",
   ///so it is easy to change it to any kind of cost.
   ///
   ///The type of the cost is determined by the
-  ///\ref concept::ReadMap::Value "Value" of the cost map.
+  ///\ref concepts::ReadMap::Value "Value" of the cost map.
   ///
   ///It is also possible to change the underlying priority heap.
@@ -157,5 +157,5 @@
   ///relatively time consuming process to compute the edge cost if
   ///it is necessary. The default map type is \ref
-  ///concept::UGraph::UEdgeMap "UGraph::UEdgeMap<int>".  The value
+  ///concepts::UGraph::UEdgeMap "UGraph::UEdgeMap<int>".  The value
   ///of CM is not used directly by Prim, it is only passed to \ref
   ///PrimDefaultTraits.
@@ -413,5 +413,5 @@
       _heap(NULL), local_heap(false)
     {
-      checkConcept<concept::UGraph, UGraph>();
+      checkConcept<concepts::UGraph, UGraph>();
     }
     
Index: lemon/smart_graph.h
===================================================================
--- lemon/smart_graph.h	(revision 2256)
+++ lemon/smart_graph.h	(revision 2260)
@@ -195,9 +195,9 @@
   ///node and edge deletions</b>.
   ///It conforms to 
-  ///the \ref concept::Graph "Graph concept" with an
+  ///the \ref concepts::Graph "Graph concept" with an
   ///important extra feature that
-  ///its maps are real \ref concept::ReferenceMap "reference map"s.
-  ///
-  ///\sa concept::Graph.
+  ///its maps are real \ref concepts::ReferenceMap "reference map"s.
+  ///
+  ///\sa concepts::Graph.
   ///
   ///\author Alpar Juttner
@@ -381,11 +381,11 @@
   /// node and edge deletions</b>.
   /// Except from this it conforms to 
-  /// the \ref concept::UGraph "UGraph concept".
+  /// the \ref concepts::UGraph "UGraph concept".
   ///
   ///It also has an
   ///important extra feature that
-  ///its maps are real \ref concept::ReferenceMap "reference map"s.
-  ///
-  /// \sa concept::UGraph.
+  ///its maps are real \ref concepts::ReferenceMap "reference map"s.
+  ///
+  /// \sa concepts::UGraph.
   ///
   /// \todo Snapshot hasn't been implemented yet.
@@ -763,11 +763,11 @@
   /// that <b> it does not support node and edge deletions</b>.
   /// Except from this it conforms to 
-  /// the \ref concept::BpUGraph "BpUGraph concept".
+  /// the \ref concepts::BpUGraph "BpUGraph concept".
   ///
   ///It also has an
   ///important extra feature that
-  ///its maps are real \ref concept::ReferenceMap "reference map"s.
-  ///
-  /// \sa concept::BpUGraph.
+  ///its maps are real \ref concepts::ReferenceMap "reference map"s.
+  ///
+  /// \sa concepts::BpUGraph.
   ///
   class SmartBpUGraph : public ExtendedSmartBpUGraphBase {
Index: lemon/topology.h
===================================================================
--- lemon/topology.h	(revision 2111)
+++ lemon/topology.h	(revision 2260)
@@ -26,6 +26,6 @@
 #include <lemon/maps.h>
 
-#include <lemon/concept/graph.h>
-#include <lemon/concept/ugraph.h>
+#include <lemon/concepts/graph.h>
+#include <lemon/concepts/ugraph.h>
 #include <lemon/concept_check.h>
 
@@ -54,5 +54,5 @@
   template <typename UGraph>
   bool connected(const UGraph& graph) {
-    checkConcept<concept::UGraph, UGraph>();
+    checkConcept<concepts::UGraph, UGraph>();
     typedef typename UGraph::NodeIt NodeIt;
     if (NodeIt(graph) == INVALID) return true;
@@ -79,5 +79,5 @@
   template <typename UGraph>
   int countConnectedComponents(const UGraph &graph) {
-    checkConcept<concept::UGraph, UGraph>();
+    checkConcept<concepts::UGraph, UGraph>();
     typedef typename UGraph::Node Node;
     typedef typename UGraph::Edge Edge;
@@ -127,8 +127,8 @@
   template <class UGraph, class NodeMap>
   int connectedComponents(const UGraph &graph, NodeMap &compMap) {
-    checkConcept<concept::UGraph, UGraph>();
+    checkConcept<concepts::UGraph, UGraph>();
     typedef typename UGraph::Node Node;
     typedef typename UGraph::Edge Edge;
-    checkConcept<concept::WriteMap<Node, int>, NodeMap>();
+    checkConcept<concepts::WriteMap<Node, int>, NodeMap>();
 
     typedef NullMap<Node, Edge> PredMap;
@@ -245,5 +245,5 @@
   template <typename Graph>
   bool stronglyConnected(const Graph& graph) {
-    checkConcept<concept::Graph, Graph>();
+    checkConcept<concepts::Graph, Graph>();
 
     typedef typename Graph::Node Node;
@@ -303,5 +303,5 @@
   template <typename Graph>
   int countStronglyConnectedComponents(const Graph& graph) {
-    checkConcept<concept::Graph, Graph>();
+    checkConcept<concepts::Graph, Graph>();
 
     using namespace _topology_bits;
@@ -372,8 +372,8 @@
   template <typename Graph, typename NodeMap>
   int stronglyConnectedComponents(const Graph& graph, NodeMap& compMap) {
-    checkConcept<concept::Graph, Graph>();
+    checkConcept<concepts::Graph, Graph>();
     typedef typename Graph::Node Node;
     typedef typename Graph::NodeIt NodeIt;
-    checkConcept<concept::WriteMap<Node, int>, NodeMap>();
+    checkConcept<concepts::WriteMap<Node, int>, NodeMap>();
 
     using namespace _topology_bits;
@@ -435,9 +435,9 @@
   template <typename Graph, typename EdgeMap>
   int stronglyConnectedCutEdges(const Graph& graph, EdgeMap& cutMap) {
-    checkConcept<concept::Graph, Graph>();
+    checkConcept<concepts::Graph, Graph>();
     typedef typename Graph::Node Node;
     typedef typename Graph::Edge Edge;
     typedef typename Graph::NodeIt NodeIt;
-    checkConcept<concept::WriteMap<Edge, bool>, EdgeMap>();
+    checkConcept<concepts::WriteMap<Edge, bool>, EdgeMap>();
 
     using namespace _topology_bits;
@@ -731,5 +731,5 @@
   template <typename UGraph>
   int countBiNodeConnectedComponents(const UGraph& graph) {
-    checkConcept<concept::UGraph, UGraph>();
+    checkConcept<concepts::UGraph, UGraph>();
     typedef typename UGraph::NodeIt NodeIt;
 
@@ -775,8 +775,8 @@
   int biNodeConnectedComponents(const UGraph& graph, 
 				UEdgeMap& compMap) {
-    checkConcept<concept::UGraph, UGraph>();
+    checkConcept<concepts::UGraph, UGraph>();
     typedef typename UGraph::NodeIt NodeIt;
     typedef typename UGraph::UEdge UEdge;
-    checkConcept<concept::WriteMap<UEdge, int>, UEdgeMap>();
+    checkConcept<concepts::WriteMap<UEdge, int>, UEdgeMap>();
 
     using namespace _topology_bits;
@@ -815,8 +815,8 @@
   template <typename UGraph, typename NodeMap>
   int biNodeConnectedCutNodes(const UGraph& graph, NodeMap& cutMap) {
-    checkConcept<concept::UGraph, UGraph>();
+    checkConcept<concepts::UGraph, UGraph>();
     typedef typename UGraph::Node Node;
     typedef typename UGraph::NodeIt NodeIt;
-    checkConcept<concept::WriteMap<Node, bool>, NodeMap>();
+    checkConcept<concepts::WriteMap<Node, bool>, NodeMap>();
 
     using namespace _topology_bits;
@@ -1058,5 +1058,5 @@
   template <typename UGraph>
   int countBiEdgeConnectedComponents(const UGraph& graph) { 
-    checkConcept<concept::UGraph, UGraph>();
+    checkConcept<concepts::UGraph, UGraph>();
     typedef typename UGraph::NodeIt NodeIt;
 
@@ -1101,8 +1101,8 @@
   template <typename UGraph, typename NodeMap>
   int biEdgeConnectedComponents(const UGraph& graph, NodeMap& compMap) { 
-    checkConcept<concept::UGraph, UGraph>();
+    checkConcept<concepts::UGraph, UGraph>();
     typedef typename UGraph::NodeIt NodeIt;
     typedef typename UGraph::Node Node;
-    checkConcept<concept::WriteMap<Node, int>, NodeMap>();
+    checkConcept<concepts::WriteMap<Node, int>, NodeMap>();
 
     using namespace _topology_bits;
@@ -1142,8 +1142,8 @@
   template <typename UGraph, typename UEdgeMap>
   int biEdgeConnectedCutEdges(const UGraph& graph, UEdgeMap& cutMap) { 
-    checkConcept<concept::UGraph, UGraph>();
+    checkConcept<concepts::UGraph, UGraph>();
     typedef typename UGraph::NodeIt NodeIt;
     typedef typename UGraph::UEdge UEdge;
-    checkConcept<concept::WriteMap<UEdge, bool>, UEdgeMap>();
+    checkConcept<concepts::WriteMap<UEdge, bool>, UEdgeMap>();
 
     using namespace _topology_bits;
@@ -1206,6 +1206,6 @@
     using namespace _topology_bits;
 
-    checkConcept<concept::Graph, Graph>();
-    checkConcept<concept::WriteMap<typename Graph::Node, int>, NodeMap>();
+    checkConcept<concepts::Graph, Graph>();
+    checkConcept<concepts::WriteMap<typename Graph::Node, int>, NodeMap>();
 
     typedef typename Graph::Node Node;
@@ -1248,6 +1248,6 @@
     using namespace _topology_bits;
 
-    checkConcept<concept::Graph, Graph>();
-    checkConcept<concept::ReadWriteMap<typename Graph::Node, int>, NodeMap>();
+    checkConcept<concepts::Graph, Graph>();
+    checkConcept<concepts::ReadWriteMap<typename Graph::Node, int>, NodeMap>();
 
     typedef typename Graph::Node Node;
@@ -1291,5 +1291,5 @@
   bool dag(const Graph& graph) {
 
-    checkConcept<concept::Graph, Graph>();
+    checkConcept<concepts::Graph, Graph>();
 
     typedef typename Graph::Node Node;
@@ -1332,5 +1332,5 @@
   template <typename UGraph>
   bool acyclic(const UGraph& graph) {
-    checkConcept<concept::UGraph, UGraph>();
+    checkConcept<concepts::UGraph, UGraph>();
     typedef typename UGraph::Node Node;
     typedef typename UGraph::NodeIt NodeIt;
@@ -1365,5 +1365,5 @@
   template <typename UGraph>
   bool tree(const UGraph& graph) {
-    checkConcept<concept::UGraph, UGraph>();
+    checkConcept<concepts::UGraph, UGraph>();
     typedef typename UGraph::Node Node;
     typedef typename UGraph::NodeIt NodeIt;
@@ -1403,5 +1403,5 @@
   template<typename UGraph>
   inline bool bipartite(const UGraph &graph){
-    checkConcept<concept::UGraph, UGraph>();
+    checkConcept<concepts::UGraph, UGraph>();
     
     typedef typename UGraph::NodeIt NodeIt;
@@ -1440,5 +1440,5 @@
   template<typename UGraph, typename NodeMap>
   inline bool bipartitePartitions(const UGraph &graph, NodeMap &partMap){
-    checkConcept<concept::UGraph, UGraph>();
+    checkConcept<concepts::UGraph, UGraph>();
     
     typedef typename UGraph::Node Node;
Index: lemon/vmap.h
===================================================================
--- lemon/vmap.h	(revision 1978)
+++ lemon/vmap.h	(revision 2260)
@@ -60,5 +60,5 @@
   };
   
-  ///Makes a virtual map from a \ref concept::ReadMap "ReadMap"
+  ///Makes a virtual map from a \ref concepts::ReadMap "ReadMap"
   template<class M, class K=typename M::Key,class V=typename M::Value>
   class VReadMap : public VMapBase<K,V> 
@@ -75,5 +75,5 @@
   vReadMap(const M& m) {return VReadMap<M,K,V>(m);}
 
-  ///Makes a virtual map from a \ref concept::WriteMap "WriteMap"
+  ///Makes a virtual map from a \ref concepts::WriteMap "WriteMap"
   template<class M, class K=typename M::Key,class V=typename M::Value>
   class VWriteMap :public VMapBase<K,V> 
@@ -90,5 +90,5 @@
   vWriteMap(const M& m) {return VReadMap<M,K,V>(m);}
 
-  ///Makes a virtual map from a \ref concept::ReadWriteMap "ReadWriteMap"
+  ///Makes a virtual map from a \ref concepts::ReadWriteMap "ReadWriteMap"
   template<class M, class K=typename M::Key,class V=typename M::Value>
   class VReadWriteMap :public VMapBase<K,V>
